<?php
/**
 * Enum Class
 *
 * @version     1.0.$Revision:$
 * @version     SVN: $Id:$
 * @package     bplan-base/globals
 * @subpackage  Enums
 * @author      Wassilios Meletiadis <wassilios.meletiadis@bplan-solutions.de>
 * @copyright   Copyright (C) 2025 bplan-solutions GmbH & Co. KG <http://www.bplan-solutions.de/>
 * /Δ\
 */

namespace BplanBase\Globals\Enums;


/**
 * Enum Class
 *
 * @version     1.0.0 / 2024-09-12
 * @author      Wassilios Meletiadis <wassilios.meletiadis@bplan-solutions.de>
 */
enum RequireStatus: int {

    case NotUsed     = 0;

    case Optional    = 1;

    case Recommended = 2;

    case Required    = 3;

} // enum RequireStatus {}
